<?php
/**
 * The template for displaying the footer.
 *
 * Contains footer content and the closing of the
 * content-container and main-container div elements.
 *
 * @package AlaskA
 * @since AlaskA 1.0.0
 */
?>

	</div>	<!-- end content-container -->

	<?php atta_content_container_end(); // after closing 'content-container' hook ?>

	<footer id="main-footer" class="row">
 
		<div class="footer-boxes center-block col-md-10">

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-1' ) ) : ?>
					<div class="footer-menu">
						<h2><?php _e( 'AlaskA', 'alaska' ); ?></h2>
						<ul class="footer-nav">
							<li><a href="#"><?php _e( 'About Us', 'alaska' ); ?></a></li>
							<li><a href="#"><?php _e( 'Contact', 'alaska' ); ?></a></li>
							<li><a href="#"><?php _e( 'Support', 'alaska' ); ?></a></li>
						</ul>
						<p><strong><?php _e( 'Widget Area "Footer Box 1"', 'alaska' ); ?></strong></p>
					</div>
				<?php endif ?>
			</div> <!-- end footer-box 1 -->

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-2' ) ) : ?>
					<h2><?php _e( 'Last Posts', 'alaska' ); ?></h2>
					<ul>
						<li><a href="#"><?php _e( 'New Service Launched', 'alaska' ); ?></a></li>
						<li><a href="#"><?php _e( 'My First Post', 'alaska' ); ?></a></li>
						<li><a href="#"><?php _e( 'Hello world!', 'alaska' ); ?></a></li>
					</ul>
					<p><strong><?php _e( 'Widget Area "Footer Box 2"', 'alaska' ); ?></strong></p>
				<?php endif ?>
			</div> <!-- end footer-box 2 -->

			<div class="footer-box">
				<?php if (!dynamic_sidebar( 'footer-box-3' ) ) : ?>
					<h2><?php _e( 'Download', 'alaska' ); ?></h2>
					<p><strong><?php _e( 'You want the free version full ?', 'alaska' ); ?></strong></p>
					<p><?php _e( 'More widgets, more templates, more functions!', 'alaska' ); ?></p>
					<p><?php _e( 'Free download: ', 'alaska' ); ?> <a href="http://www.antarcticathemes.com/themes/Alaska-theme/" target="_blank" ><strong>AlaskA Theme</strong></a></p>
					<p><strong><?php _e( 'Widget Area "Footer Box 3"', 'alaska' ); ?></strong></p>
				<?php endif ?>
			</div> <!-- end footer-box 3 -->

		</div>

		<div class="footer-extra">
			<div class="footer-copy col-sm-6 col-xs-12">
				<?php $footer_info = alaska_get_theme_options( 'footer_info' );;
					if ( !$footer_info ) {
						echo '&copy; ' . date('Y') . ' ';
						echo bloginfo( 'name' );
					} else {
						echo $footer_info;
					}
				?>
			</div>
			<div class="footer-credit col-sm-6 col-xs-12">
				<?php atta_footer_credit(); ?>
			</div>
		</div>

	</footer>
</div> <!-- end main-container -->
<?php atta_main_container_end(); // after main-container hook ?>

<?php wp_footer(); ?>
</body>
</html>