<?php
/**
 * Template Name: Front Page template
 *
 * @package AlaskA
 * @since AlaskA 1.0.0
 */

 if ( 'posts' == get_option( 'show_on_front' ) ) {
     get_template_part( 'index' );
} else { ?>

<?php get_header(); ?>
 <?php $colff= 'col-md-12'; if(is_active_sidebar( 'front-sidebar-rf' )) : $colff= 'col-lg-9 col-md-8 col-xs-12';  else: endif; ?>
   <div class="<?php echo $colff; ?>">
	<div class="front-features">
		<div id="front-text-feature">
			<h1>
				<?php $options = alaska_get_theme_options();
					if ( $options['front_page_header'] ) {
						echo $options['front_page_header'];
					} else {
						_e( 'AlaskA Free Theme', 'alaska' );
					}
				?>
			</h1>
			<h2>
				<?php
					if ( $options['front_page_subheader'] ) {
						echo $options['front_page_subheader'];
					} else {
						_e( 'Fullwidth Responsive Theme for WordPress <br><br> with support for easy digital downloads', 'alaska' );
					}
				?>
			</h2>
			<div class="front-phrase">
				<?php
					if ( $options['front_page_textarea'] ) {
						echo $options['front_page_textarea'];
					} else {
						_e('<p>Title, Subtitle, Long text, "Call to Action" button and image slider are editable in:</p> <strong>Appearance &raquo; AlaskA Options &raquo; Front Page Options</strong></p>', 'alaska');
					}
				?>
			</div>
			
				<a class="btn btn-primary btn-lg" href="<?php echo esc_url( $options['url_call_to_action'] ); ?>" >
					<?php if ( $options['front_page_call_to_action'] ) {
						echo $options['front_page_call_to_action'];
					} else {
						_e( 'Call to action', 'alaska' );
					}
					?>
				</a>
			

		</div> <!-- end front-text-feature -->

		<div id="front-slide">

			<?php atta_slider(); ?>
			
			<?php alaska_render_slider(); ?>

			<?php atta_slider_end(); ?>
			
		</div> <!-- end front-slide -->
	</div>

	<div class="front-boxes col-sm-12">
		
		<?php atta_front_boxes_start(); ?>

		<?php alaska_render_front_boxes(); ?>

		<?php atta_front_boxes_end(); ?>
		
	</div> <!-- end front-boxes -->

	<?php if ( $options['show_posts'] > 0 ) : ?>

		<?php $colfp= 'col-md-12'; if(is_active_sidebar( 'front-sidebar-l' ) AND is_active_sidebar( 'front-sidebar-r' )): $colfp= 'col-lg-7 col-md-5 col-xs-12'; elseif (is_active_sidebar( 'front-sidebar-l' )) : $colfp= 'col-md-9 col-xs-12'; elseif (is_active_sidebar( 'front-sidebar-r' )): $colfp= 'col-md-8 col-xs-12'; else: endif; ?>

	<div class="front-posts row">	
		
		<?php if ( is_active_sidebar( 'front-sidebar-l' ) ) : ?>
		
			<?php get_sidebar( 'front-l' ) ?>
		
		<?php endif; ?>
	

	
		<div class="<?php echo $colfp; ?>">
			<?php $front_posts = new WP_Query( apply_filters( 'front_posts', array( 'showposts' => $options['show_posts'], 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) ); ?>
				
			<?php if ( $front_posts->have_posts() ) : while ( $front_posts->have_posts() ) : $front_posts->the_post(); ?>

				<?php get_template_part( 'content', 'excerpt' ); ?>
								
			<?php endwhile; ?>
				
				<div class="navigation">

					<span class="previous-post"><a href="<?php echo get_page_link( get_option( 'page_for_posts' ) ); ?>"><?php  _e( 'Show all posts', 'alaska' ); ?></a></span>

				</div><!-- end of .navigation -->

			<?php else : ?>

				<article>
					<h1 class=""><?php _e( 'Oops, Post Not Found!', 'alaska' ); ?></h1>
				</article>

			<?php endif; ?>

		</div>	
		
		<?php if ( is_active_sidebar( 'front-sidebar-r' ) ) : ?>
		
			<?php get_sidebar( 'front-r' ) ?>
		
		<?php endif; ?>

	</div>
	<?php endif; ?>
	</div>
	<?php get_sidebar( 'front-rf' ) ?>
	<?php get_footer(); ?>
<?php } ?>