<?php
/**
 * AlaskA Theme Hooks
 *
 * @package AlaskA
 * @since AlaskA 1.0.0
 */


/**
 * Just after opening <body> tag
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_main_container() {
	do_action( 'atta_main_container' );
}

/**
 * Just after closing </div> <!-- end main-container -->
 *
 * Hook in footer.php
 * @since AlaskA 1.0.0
 */
function atta_main_container_end() {
	do_action( 'atta_main_container_end' );
}

/**
 * Just after opening <div id="main-container">
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_header() {
	do_action( 'atta_header' );
}

/**
 * Just after opening <header id="top-header">
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_in_header() {
	do_action( 'atta_in_header' );
}

/**
 * Just after closing </header><!-- end of top-header -->
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_header_end() {
	do_action( 'atta_header_end' );
}

/**
 * Just before opening <div id="content_container">
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_content_container() {
	do_action( 'atta_content_container' );
}

/**
 * Just after opening <div id="content_container">
 *
 * Hook in header.php
 * @since AlaskA 1.0.0
 */
function atta_in_content_container() {
	do_action( 'atta_in_content_container' );
}

/**
 * Just after closing </div><!-- end content-container -->
 *
 * Hook in footer.php 
 * @since AlaskA 1.0.0
 */
function atta_content_container_end() {
	do_action( 'atta_content_container_end' );
}

/**
 * Just after opening <div class="footer-credit>
 *
 * Hook in footer.php
 * @since AlaskA 1.0.0
 */
function atta_footer_credit() {
	do_action( 'atta_footer_credit' );
}

/**
 * Just after opening <div id="front-slide">
 *
 * Hook in front-page.php
 *
 * @since AlaskA 1.0.0
 */
function atta_slider() {
	do_action( 'atta_slider' );
}

/**
 * Just before closing	</div> <!-- end front-slide -->
 *
 * Hook in front-page.php
 *
 * @since AlaskA 1.0.0
 */
function atta_slider_end() {
	do_action( 'atta_slider_end' );
}

/**
 * Just after closing </article><!-- end excerpt article -->
 *
 * Hook in content-excerpt.php
 *
 * @since AlaskA 1.0.0
 */
function atta_excerpt_end() {
	do_action( 'atta_excerpt_end' );
}

/**
 * Just after closing </article><!-- end post article -->
 *
 * Hook in content-content.php
 *
 * @since AlaskA 1.0.0
 */
function atta_post_end() {
	do_action( 'atta_post_end' );
}

/**
 * Just after opening <aside>
 *
 * Hook in sidebar.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_main() {
	do_action( 'atta_sidebar_main' );
}

/**
 * Just before closing </aside> <!-- End aside main sidebar -->
 *
 * Hook in sidebar.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_main_end() {
	do_action( 'atta_sidebar_main_end' );
}

/**
 * Just bedore after <aside>
 *
 * Hook in sidebar-two.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_two() {
	do_action( 'atta_sidebar_two' );
}

/**
 * Just before closing </aside> <!-- End aside sidebar two -->
 *
 * Hook in sidebar-two.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_two_end() {
	do_action( 'atta_sidebar_two_end' );
}

/**
 * Just bedore after <aside>
 *
 * Hook in sidebar-front.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_front() {
	do_action( 'atta_sidebar_front' );
}

/**
 * Just before closing </aside> <!-- End aside sidebar front -->
 *
 * Hook in sidebar-front.php
 *
 * @since AlaskA 1.0.0
 */
function atta_sidebar_front_end() {
	do_action( 'atta_sidebar_front_end' );
}

/**
 * Just after opening <div id="front-boxes">
 *
 * Hook in front-page.php
 *
 * @since AlaskA 1.0.0
 */
function atta_front_boxes_start() {
	do_action( 'atta_front_boxes_start' );
}

/**
 * Just before closing </div> <!-- end front-boxes -->
 *
 * Hook in front-page.php
 *
 * @since AlaskA 1.0.0
 */
function atta_front_boxes_end() {
	do_action( 'atta_front_boxes_end' );
}
?>